package pdv;

import java.util.*;
import java.io.*;

public class CatalogoProdutos {
  private Hashtable especificacoesProdutos = new Hashtable();

  public CatalogoProdutos() {
    carrega("D:\\Eclipse\\workspace\\PDV\\catalogo.txt");
  }

  public EspecificacaoProduto getEspecificacao(int upc) {
    return (EspecificacaoProduto) especificacoesProdutos.get(new Integer(upc));
  }

  private void carrega(String arquivo) {
    try {
      File arq = new File(arquivo);
	  BufferedReader dis = new BufferedReader(new FileReader(arquivo));
      String s = "";
      while ((s = dis.readLine()) != null) {
        EspecificacaoProduto ep = new EspecificacaoProduto(s);
        especificacoesProdutos.put(new Integer(ep.getUpc()), ep);
      }
      dis.close();
    } catch (IOException e) {
      System.err.println("Erro na leitura do catlogo");
    }

  }
}
