package analizer;

import pdv.*;
import junit.framework.TestCase;

public aspect DepedenceAnalizer {
  
  pointcut testsFlow(TestCase testCase) : 
      execution(EspecificacaoProduto CatalogoProdutos.getEspecificacao(int)) &&
      cflow(execution (* junit.framework.TestCase+.test*())) &&
      this(testCase);
   
  before(TestCase testCase) : testsFlow(testCase) {
    System.out.println(testCase.getClass());
  } 
}
