package pdv;

import java.util.StringTokenizer;

public class EspecificacaoProduto {
  private int upc = 0;
  private float preco = 0;
  private String descricao = "";
  
  public EspecificacaoProduto(int upc, float preco, String descricao) {
    this.upc = upc;
    this.preco = preco;
    this.descricao = descricao;
  }
  
  public EspecificacaoProduto(String texto) {
    StringTokenizer st = new StringTokenizer(texto, ",");
    int _upc     = Integer.parseInt(st.nextToken());
    float _preco = Float.parseFloat(st.nextToken());
    String _desc = st.nextToken();
    upc          = _upc;
    preco        = _preco;
    descricao    = _desc;
  }
  
  public int getUpc() {
    return upc;
  }
  
  public float getPreco() {
    return preco;
  }
  
  public String getDescricao() {
    return descricao;
  }
}
